## profile-sync-daemon 6.25

=== Makefile ===
VERSION = 6.25
PN = profile-sync-daemon

PREFIX ?= /usr
INITDIR_SYSTEMD = /usr/lib/systemd/user
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/psd
MANDIR = $(PREFIX)/share/man/man1
ZSHDIR = $(PREFIX)/share/zsh/site-functions

# set to anything except 0 to enable manpage compression
COMPRESS_MAN = 1

RM = rm
SED = sed
INSTALL = install -p
INSTALL_PROGRAM = $(INSTALL) -m755
INSTALL_SCRIPT = $(INSTALL) -m755
INSTALL_DATA = $(INSTALL) -m644
INSTALL_DIR = $(INSTALL) -d
RSYNC = rsync -a
Q = @

common/$(PN): common/$(PN).in
	$(Q)echo -e '\033[1;32mSetting version\033[0m'
	$(Q)$(SED) 's/@VERSION@/'$(VERSION)'/' common/$(PN).in > common/$(PN)

install-bin: common/$(PN)
	$(Q)echo -e '\033[1;32mInstalling main script...\033[0m'
	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
	$(INSTALL_PROGRAM) common/$(PN) "$(DESTDIR)$(BINDIR)/$(PN)"
	$(INSTALL_PROGRAM) common/psd-overlay-helper "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
	ln -s $(PN) "$(DESTDIR)$(BINDIR)/psd"
	$(INSTALL_DIR) "$(DESTDIR)$(ZSHDIR)"
	$(INSTALL_DATA) common/zsh-completion "$(DESTDIR)/$(ZSHDIR)/_psd"
	$(INSTALL_DIR) "$(DESTDIR)$(SHAREDIR)/browsers"
	$(INSTALL_DATA) common/psd.conf "$(DESTDIR)$(SHAREDIR)/psd.conf"
	cp common/browsers/* "$(DESTDIR)$(SHAREDIR)/browsers"

install-man:
	$(Q)echo -e '\033[1;32mInstalling manpage...\033[0m'
	$(INSTALL_DIR) "$(DESTDIR)$(MANDIR)"
	$(INSTALL_DATA) doc/psd.1 "$(DESTDIR)$(MANDIR)/psd.1"
	$(INSTALL_DATA) doc/psd-overlay-helper.1 "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
ifneq ($(COMPRESS_MAN),0)
	gzip -9 "$(DESTDIR)$(MANDIR)/psd.1"
	gzip -9 "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
	ln -s psd.1.gz "$(DESTDIR)$(MANDIR)/$(PN).1.gz"
else
	ln -s psd.1 "$(DESTDIR)$(MANDIR)/$(PN).1"
endif

install-systemd:
	$(Q)echo -e '\033[1;32mInstalling systemd files...\033[0m'
	$(INSTALL_DIR) "$(DESTDIR)$(INITDIR_SYSTEMD)"
	$(INSTALL_DATA) init/psd.service "$(DESTDIR)$(INITDIR_SYSTEMD)/psd.service"
	$(INSTALL_DATA) init/psd-resync.service "$(DESTDIR)$(INITDIR_SYSTEMD)/psd-resync.service"
	$(INSTALL_DATA) init/psd-resync.timer "$(DESTDIR)$(INITDIR_SYSTEMD)/psd-resync.timer"

install: install-bin install-man install-systemd

uninstall-bin:
	$(RM) "$(DESTDIR)$(BINDIR)/$(PN)"
	$(RM) "$(DESTDIR)$(BINDIR)/psd"
	$(RM) "$(DESTDIR)$(ZSHDIR)/_psd"
	$(RM) "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
	$(RM) "$(DESTDIR)$(SHAREDIR)/psd.conf"
	$(RM) -rf "$(DESTDIR)$(SHAREDIR)/browsers"
	rmdir "$(DESTDIR)$(SHAREDIR)"

uninstall-man:
	$(RM) -f "$(DESTDIR)$(MANDIR)/$(PN).1.gz"
	$(RM) -f "$(DESTDIR)$(MANDIR)/psd.1.gz"
	$(RM) -f "$(DESTDIR)$(MANDIR)/$(PN).1"
	$(RM) -f "$(DESTDIR)$(MANDIR)/psd.1"

uninstall-systemd:
	$(RM) "$(DESTDIR)$(INITDIR_SYSTEMD)/psd.service"
	$(RM) "$(DESTDIR)$(INITDIR_SYSTEMD)/psd-resync.service"
	$(RM) "$(DESTDIR)$(INITDIR_SYSTEMD)/psd-resync.timer"

uninstall: uninstall-bin uninstall-man uninstall-systemd

clean:
	$(RM) -f common/$(PN)

.PHONY: install-bin install-man install-systemd install uninstall-bin uninstall-man uninstall-systemd uninstall clean

=== debian/changelog ===
profile-sync-daemon (6.25-1) unstable; urgency=low

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 09 Jul 2016 17:10:08 +0200

profile-sync-daemon (6.23-1) unstable; urgency=low

  * New upstream release.
  * Use upstream-provided manpage doc/psd-overlay-helper.1.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Tue, 14 Jun 2016 22:18:22 +0200

profile-sync-daemon (6.22-1) UNRELEASED; urgency=low

  * Initial release. (Closes: #827127)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 12 Jun 2016 18:25:15 +0200

## profile-sync-daemon 6.31

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.25
+VERSION = 6.31
 PN = profile-sync-daemon
 
 PREFIX ?= /usr

=== debian/changelog ===
profile-sync-daemon (6.31-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 21 Dec 2016 17:33:48 +0100

profile-sync-daemon (6.28-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 09 Oct 2016 22:06:25 +0200

profile-sync-daemon (6.26-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches: Remove fix-bash-4.4-substitution.patch, merged upstream.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 02 Oct 2016 21:55:49 +0200

profile-sync-daemon (6.25-2) UNRELEASED; urgency=medium

  * debian/patches:
    - Add fix-bash-4.4-substitution.patch to fix
      string substitution issue with bash 4.4. (Closes: #839049)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 29 Sep 2016 17:19:11 +0200

=== debian/control ===
Source: profile-sync-daemon
Section: utils
Priority: optional
Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://github.com/graysky2/profile-sync-daemon
Vcs-Git: https://github.com/JanLuca/profile-sync-daemon-debian.git
Vcs-Browser: https://github.com/JanLuca/profile-sync-daemon-debian

Package: profile-sync-daemon
Architecture: all
Depends: rsync, ${misc:Depends}
Suggests: libpam-systemd, systemd-sysv
Description: Symlink and sync browser profile directories into RAM
 Profile-sync-daemon (psd) is a tiny pseudo-daemon designed
 to manage your browsers profile in tmpfs and periodically
 sync it back to disk.
 .
 This is accomplished by symlinking and the innovative use
 of rsync to maintain a backup and synchronization between
 tmpfs and disk. One of the major design goals of psd is a
 completely transparent user experience.

## profile-sync-daemon 6.34

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.31
+VERSION = 6.34
 PN = profile-sync-daemon
 
 PREFIX ?= /usr

=== debian/changelog ===
profile-sync-daemon (6.34-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Update to version 12.
  * debian/control:
    - Update to Debian policy 4.3.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 02 Mar 2019 14:48:44 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/profile-sync-daemon-$1.tar.gz/" \
https://github.com/graysky2/profile-sync-daemon/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## profile-sync-daemon 6.50

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.34
+VERSION = 6.50
 PN = profile-sync-daemon
 
 PREFIX ?= /usr
@@ -7,9 +7,7 @@
 SHAREDIR = $(PREFIX)/share/psd
 MANDIR = $(PREFIX)/share/man/man1
 ZSHDIR = $(PREFIX)/share/zsh/site-functions
-
-# set to anything except 0 to enable manpage compression
-COMPRESS_MAN = 1
+CONTRIBDIR = $(SHAREDIR)/contrib
 
 RM = rm
 SED = sed
@@ -30,25 +28,22 @@
 	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
 	$(INSTALL_PROGRAM) common/$(PN) "$(DESTDIR)$(BINDIR)/$(PN)"
 	$(INSTALL_PROGRAM) common/psd-overlay-helper "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
-	ln -s $(PN) "$(DESTDIR)$(BINDIR)/psd"
+	$(INSTALL_PROGRAM) common/psd-suspend-sync "$(DESTDIR)$(BINDIR)/psd-suspend-sync"
+	ln -sf $(PN) "$(DESTDIR)$(BINDIR)/psd"
 	$(INSTALL_DIR) "$(DESTDIR)$(ZSHDIR)"
 	$(INSTALL_DATA) common/zsh-completion "$(DESTDIR)/$(ZSHDIR)/_psd"
 	$(INSTALL_DIR) "$(DESTDIR)$(SHAREDIR)/browsers"
 	$(INSTALL_DATA) common/psd.conf "$(DESTDIR)$(SHAREDIR)/psd.conf"
-	cp common/browsers/* "$(DESTDIR)$(SHAREDIR)/browsers"
+	$(INSTALL_DATA) common/browsers/* "$(DESTDIR)$(SHAREDIR)/browsers"
+	$(INSTALL_DIR) "$(DESTDIR)$(SHAREDIR)/contrib"
+	$(INSTALL_DATA) contrib/* "$(DESTDIR)$(SHAREDIR)/contrib"
 
 install-man:
 	$(Q)echo -e '\033[1;32mInstalling manpage...\033[0m'
 	$(INSTALL_DIR) "$(DESTDIR)$(MANDIR)"
 	$(INSTALL_DATA) doc/psd.1 "$(DESTDIR)$(MANDIR)/psd.1"
 	$(INSTALL_DATA) doc/psd-overlay-helper.1 "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
-ifneq ($(COMPRESS_MAN),0)
-	gzip -9 "$(DESTDIR)$(MANDIR)/psd.1"
-	gzip -9 "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
-	ln -s psd.1.gz "$(DESTDIR)$(MANDIR)/$(PN).1.gz"
-else
-	ln -s psd.1 "$(DESTDIR)$(MANDIR)/$(PN).1"
-endif
+	ln -sf psd.1 "$(DESTDIR)$(MANDIR)/$(PN).1"
 
 install-systemd:
 	$(Q)echo -e '\033[1;32mInstalling systemd files...\033[0m'
@@ -64,15 +59,16 @@
 	$(RM) "$(DESTDIR)$(BINDIR)/psd"
 	$(RM) "$(DESTDIR)$(ZSHDIR)/_psd"
 	$(RM) "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
+	$(RM) "$(DESTDIR)$(BINDIR)/psd-suspend-sync"
 	$(RM) "$(DESTDIR)$(SHAREDIR)/psd.conf"
 	$(RM) -rf "$(DESTDIR)$(SHAREDIR)/browsers"
+	$(RM) -rf "$(DESTDIR)$(SHAREDIR)/contrib"
 	rmdir "$(DESTDIR)$(SHAREDIR)"
 
 uninstall-man:
-	$(RM) -f "$(DESTDIR)$(MANDIR)/$(PN).1.gz"
-	$(RM) -f "$(DESTDIR)$(MANDIR)/psd.1.gz"
 	$(RM) -f "$(DESTDIR)$(MANDIR)/$(PN).1"
 	$(RM) -f "$(DESTDIR)$(MANDIR)/psd.1"
+	$(RM) -f "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
 
 uninstall-systemd:
 	$(RM) "$(DESTDIR)$(INITDIR_SYSTEMD)/psd.service"

=== debian/changelog ===
profile-sync-daemon (6.50-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches/: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Nov 2023 22:07:30 -0500

profile-sync-daemon (6.49-1) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.6.2, debhelper compat v13.
  * debian/control: Set maintainer to Debian QA Group.
  * New upstream version 6.49. (Closes: #1026265)
  * debian/watch: Update to v4 format.
  * debian/control: Update Vcs-* fields.
  * debian/patches: Dropped old patches, merged upstream.
  * debian/patches/0001-Fix-man-section-number-in-doc-psd.1.patch:
    Fix man page section to circumvent build error by dh_installman.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 11:05:43 -0400

profile-sync-daemon (6.34-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add /sbin to PATH. (Closes: #932345)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 29 Nov 2022 23:45:53 +0800

profile-sync-daemon (6.34-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:05:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+#export DEB_LDFLAGS_MAINT_APPEND =
 
 
 %:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/graysky2/profile-sync-daemon/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## profile-sync-daemon 6.51

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.50
+VERSION = 6.51
 PN = profile-sync-daemon
 
 PREFIX ?= /usr

=== debian/changelog ===
profile-sync-daemon (6.51-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Jan 2026 16:51:42 -0500

## profile-sync-daemon 6.55

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.51
+VERSION = 6.55
 PN = profile-sync-daemon
 
 PREFIX ?= /usr

=== debian/changelog ===
profile-sync-daemon (6.55-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 15:46:00 -0500

=== debian/control ===
Source: profile-sync-daemon
Section: utils
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.3
Homepage: https://github.com/graysky2/profile-sync-daemon
Vcs-Git: https://salsa.debian.org/debian/profile-sync-daemon.git
Vcs-Browser: https://salsa.debian.org/debian/profile-sync-daemon
Description: Symlink and sync browser profile directories into RAM
 Profile-sync-daemon (psd) is a tiny pseudo-daemon designed
 to manage your browsers profile in tmpfs and periodically
 sync it back to disk.
 .
 This is accomplished by symlinking and the innovative use
 of rsync to maintain a backup and synchronization between
 tmpfs and disk. One of the major design goals of psd is a
 completely transparent user experience.

Package: profile-sync-daemon
Architecture: all
Depends:
 rsync,
 ${misc:Depends},
Suggests:
 libpam-systemd,
 systemd-sysv,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## profile-sync-daemon 7.00

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 6.55
+VERSION = 7.00
 PN = profile-sync-daemon
 
 PREFIX ?= /usr
@@ -27,7 +27,6 @@
 	$(Q)echo -e '\033[1;32mInstalling main script...\033[0m'
 	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
 	$(INSTALL_PROGRAM) common/$(PN) "$(DESTDIR)$(BINDIR)/$(PN)"
-	$(INSTALL_PROGRAM) common/psd-overlay-helper "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
 	$(INSTALL_PROGRAM) common/psd-suspend-sync "$(DESTDIR)$(BINDIR)/psd-suspend-sync"
 	ln -sf $(PN) "$(DESTDIR)$(BINDIR)/psd"
 	$(INSTALL_DIR) "$(DESTDIR)$(ZSHDIR)"
@@ -42,7 +41,6 @@
 	$(Q)echo -e '\033[1;32mInstalling manpage...\033[0m'
 	$(INSTALL_DIR) "$(DESTDIR)$(MANDIR)"
 	$(INSTALL_DATA) doc/psd.1 "$(DESTDIR)$(MANDIR)/psd.1"
-	$(INSTALL_DATA) doc/psd-overlay-helper.1 "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
 	ln -sf psd.1 "$(DESTDIR)$(MANDIR)/$(PN).1"
 
 install-systemd:
@@ -58,7 +56,6 @@
 	$(RM) "$(DESTDIR)$(BINDIR)/$(PN)"
 	$(RM) "$(DESTDIR)$(BINDIR)/psd"
 	$(RM) "$(DESTDIR)$(ZSHDIR)/_psd"
-	$(RM) "$(DESTDIR)$(BINDIR)/psd-overlay-helper"
 	$(RM) "$(DESTDIR)$(BINDIR)/psd-suspend-sync"
 	$(RM) "$(DESTDIR)$(SHAREDIR)/psd.conf"
 	$(RM) -rf "$(DESTDIR)$(SHAREDIR)/browsers"
@@ -68,7 +65,6 @@
 uninstall-man:
 	$(RM) -f "$(DESTDIR)$(MANDIR)/$(PN).1"
 	$(RM) -f "$(DESTDIR)$(MANDIR)/psd.1"
-	$(RM) -f "$(DESTDIR)$(MANDIR)/psd-overlay-helper.1"
 
 uninstall-systemd:
 	$(RM) "$(DESTDIR)$(INITDIR_SYSTEMD)/psd.service"

=== debian/changelog ===
profile-sync-daemon (7.00-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Feb 2026 20:07:38 -0500

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Architecture: all
 Depends:
  rsync,
+ fuse-overlayfs,
  ${misc:Depends},
 Suggests:
  libpam-systemd,
